← API reference

Events

Replay event

POST /v1/events/{id}/redeliver

Re-queue delivery to selected endpoints (or all subscribed endpoints).

Scopes: webhooks:write · Write key required

Path parameters

  • id — external id (call_, job_, etc.)

Request body

{
  "endpoint_ids": [
    "we_abc123"
  ]
}

Examples

BASH
curl -X POST "https://app.tryedison.com/api/v1/events/call_0123456789abcdef/redeliver" \
  -H "Authorization: Bearer ed_test_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{  "endpoint_ids": [    "we_abc123"  ]}'